Compatible Java Environments - Cloud

Talend Cloud Installation and Upgrade Guide

Version
Cloud
Language
English
Operating system
Mac
Product
Talend Cloud
Module
Talend Artifact Repository
Talend Data Stewardship
Talend Management Console
Talend Remote Engine
Talend SAP RFC Server
Talend Studio
Content
Installation and Upgrade
Last publication date
2024-02-29

The following tables provide information on the recommended Java Environment you should download and install to use your Talend product.

The Compiler Compliance Level corresponds to the Java version used for the Job code generation. For more information, see Setting up Java in Talend Studio.

The supported Java platforms are OpenJDK and Oracle JDK. The recommended distribution for OpenJDK is Zulu.

Important: All Talend products and associated third-party applications, such as the Hadoop cluster, should use the same Java version for compliance. Before you install or upgrade any associated third-party application, Talend recommends that you check which Java version they support.

In the following documentation:

  • Recommended: designates an environment recommended by Talend based on experience and customer usage.
  • Supported: designates a supported environment for use with the listed component or service.
  • Supported with limitations: designates an environment that is supported by Talend but with certain conditions explained in notes.

Available in:

Cloud API Services Platform

Cloud Big Data

Cloud Big Data Platform

Cloud Data Fabric

Cloud Data Integration

Cloud Data Management Platform

Talend Studio Java environments

The supported Java versions depend on your version of Talend Studio.

Compatible Java environments for launching Talend Studio 8.0
Java version (OpenJDK or Oracle JDK) Support type
17 Supported from R2023-10 onwards
11 Supported

Pay attention to the following before working with Java 17:

  • If your Talend Studio has been launched with Java 11, after installing the 8.0 R2023-10 Talend Studio monthly update or a later one, Talend Studio keeps the same behavior as before. You must set the Java interpreter in Talend Studio to Java 8 if you want to execute your Jobs with Java 8. For more information, see Java Interpreter path (Talend).
  • After installing the 8.0 R2023-10 Talend Studio monthly update or a later one, if you switch the Java version to 17 and relaunch your Talend Studio with Java 17:
    • To execute your Data Integration Jobs locally in Talend Studio, activate the Enable Java 17 compatibility option on the Build > Java Version view in the Talend Studio Project Settings dialog box.

      If your Jobs include any custom components that require access to the Java internal modules, you need to configure them manually after activating the Enable Java 17 compatibility option. For more information, see Setting up Java in Talend Studio.

      Warning: With the Enable Java 17 compatibility option activated, any Job built by Talend Studio cannot be executed with Java 8. For this reason, verify the Java environment on your Job execution servers before activating the option.
    • To run your Data Integration Jobs on a Remote Engine v2.13 onwards, which requires Java 17 to start and uses Java 17 by default for execution, you have two options:
      1. Rebuild your Jobs: activate the Enable Java 17 compatibility option on the Build > Java Version view, following the same process as explained above for running Jobs locally in Talend Studio. This is the recommended approach. This approach allows you to run those Jobs with the default Java 17 version of Talend Remote Engine.
      2. If you prefer not to rebuild your Jobs, configure the engine to use a different Java version from its default. To do this, specify the Java 8 or 11 instances to be used when installing the engine using the installer, or manually modify a configuration file after the installation.
    • To execute your Data Integration Jobs locally in Talend Studio or on a Remote Engine which is running on Java 8, you must set the Java interpreter in Talend Studio to Java 8 and deactivate the Enable Java 17 compatibility option on the Build > Java Version view in the Talend Studio Project Settings dialog box. For more information, see Java Interpreter path (Talend) and Setting up Java in Talend Studio.

The following tables show in which Java environments the corresponding item can be executed.

Supported Java versions to execute Data Integration Jobs
Java version for execution Support type
17 Supported with limitations:
  • The Enable Java 17 compatibility option must be activated.
  • To execute Job artifacts on Talend Remote Engine with Java 17, you must use Talend Remote Engine v2.13.
11 Supported with limitations:
  • Only for Data Integration components that are not using Big Data distributions.
8 Supported with limitations:
  • The Enable Java 17 compatibility option must be deactivated.

Available in:

Data Fabric

Data Services Platform

ESB

MDM Platform

Real-Time Big Data Platform

Supported Java versions to execute Routes and Data Services Jobs
Java version for execution Support type
17 Supported with limitations:
  • When the build type is Talend Runtime (OSGi), you must use Talend Remote Engine v2.13 or later and Talend Runtime version 8.0.1-R2023-10 or later.
11 Supported
8 Not supported

Available in:

Big Data

Big Data Platform

Data Fabric

Real-Time Big Data Platform

Supported Java versions to execute Big Data Spark Jobs
Java version for execution Support type
17 Supported with limitations:
  • The Enable Java 17 compatibility option must be activated.
11 Supported with limitations:
  • The Enable Java 17 compatibility option must be activated.
8 Supported with limitations:
  • The Enable Java 17 compatibility option must be deactivated.

The execution of the Big Data Spark Jobs actually depends on the Java versions supported by the cluster.

Compatible Java environments for Talend Studio 7.3
Java version (OpenJDK or Oracle JDK) Support type Notes
11 Recommended When running Oracle 11, Talend Studio should conform to JDK Compiler Compliance Level 11 (default).
8 Supported When running Oracle 8, Talend Studio should conform to JDK Compiler Compliance Level 1.8 (default). If the installed JDK version is lower than 1.8.0_161, you need to also install the additional resource Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files. This is also applicable to the execution of standalone Jobs.

Server Java environments

Compatible Java environments for Talend Server Modules
Talend Server Module Java version (OpenJDK or Oracle JDK) Support type
  • Talend Management Console
  • Talend Data Preparation
  • Talend Data Stewardship
  • Available in:

    Cloud API Services Platform

    Cloud Big Data Platform

    Cloud Data Fabric

    Cloud Data Management Platform

  • Talend Dictionary Service
  • Talend SAP RFC Server
  • 17
  • 11
  • 8
Supported with limitations:
  • Java 17 requires the 8.0.1-R2023-10 Talend Studio monthly patch or later.

    Available in:

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend ESB Server
  • Available in:

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend ESB/Microservices
  • Available in:

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend Runtime
  • 17
  • 11
Supported with limitations:
  • Java 17 requires the 8.0.1-R2023-10 Talend Studio monthly patch or later.

Available in:

Cloud Big Data

Cloud Big Data Platform

Cloud Data Fabric

Note: The recommended Java environments for Big Data Distributions are OpenJDK 8 and Oracle JDK 8.